inadyn-mt

    Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

    • das ist auch kein inadyn mt, das ist das einfache inadyn
      anbei eine inadyn-mt für 4k boxen

      ist auch kein plugin, sondern nur die binary und die lang.datei

      hab ich hier rausgezogen.

      wenn du das für dich anpassen willst oder auf etwas anderem als eine solo 4k tackern möchtest musste dir das zeug da entpacken und anpassen.
      Dateien
      • inadyn-mt.tgz

        (240,17 kB, 28 mal heruntergeladen, zuletzt: )
      Gruß wsxws

      Dieser Beitrag wurde bereits 3 mal editiert, zuletzt von wsxws ()

    • Kann man das so machen und ist das Script ok?


      - inadyn-mt_start.sh nach /etc/init.d kopiert und chmod +x /etc/init.d/inadyn-mt_start.sh ausgeführt
      - Link nach ln -sf /etc/init.d/inadyn-mt_start.sh /etc/rc3.d/S97inadyn-mt_start.sh erstellt

      Box neu gestartet

      Shell-Script

      1. #!/bin/sh
      2. #
      3. # inadyn-mt_start.sh
      4. #
      5. /usr/bin/inadyn-mt &
      6. : exit 0

      ;)

      Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von stub ()

    • Geht zwar, würde ich so aber sicher nicht machen.

      Nimm dir als Vorlage z.B. das Startscript /etc/init.d/rpcbind - das ist sauber aufgebaut und ohne Nebenwirkungen.
      Diskutiere nie mit einem Idioten. Er zieht dich auf sein Niveau runter und schlägt dich mit seiner Erfahrung.
    • inadyn-mt --background --dyndns_server_name members.feste-ip.net --username [username] --update_period_sec 124 --cache_dir /var/log --log_file /var/log/inadyn.log --ip_server_name v6.checkip.feste-ip.net --password [passwort] --alias [dein-hostname] ip6
      so sähe das bei feste-ip.net aus
      die option --background ersetzt dein &, das funzt hier nämlich nicht ;)

      es sei denn, du hast einen ipv4 internetanschluss, dann nimmste besser das normale inadyn, das reicht das auch und ist einfacher zu confen weil du das viel mehr fertige beispiele im netz findest
      Gruß wsxws

      Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von wsxws ()

    • Shell-Script: rpcbind

      1. #!/bin/sh
      2. #
      3. # start/stop rpcbind daemon.
      4. ### BEGIN INIT INFO
      5. # Provides: rpcbind
      6. # Required-Start: $network
      7. # Required-Stop: $network
      8. # Default-Start: S 2 3 4 5
      9. # Default-Stop: 0 1 6
      10. # Short-Description: RPC portmapper replacement
      11. # Description: rpcbind is a server that converts RPC (Remote
      12. # Procedure Call) program numbers into DARPA
      13. # protocol port numbers. It must be running in
      14. # order to make RPC calls. Services that use
      15. # RPC include NFS and NIS.
      16. ### END INIT INFO
      17. # Source function library.
      18. . /etc/init.d/functions
      19. test -f /usr/sbin/rpcbind || exit 0
      20. OPTIONS=""
      21. if [ -f /etc/default/rpcbind ]
      22. then
      23. . /etc/default/rpcbind
      24. elif [ -f /etc/rpcbind.conf ]
      25. then
      26. . /etc/rpcbind.conf
      27. fi
      28. start ()
      29. {
      30. echo -n "Starting rpcbind daemon..."
      31. if pidof /usr/sbin/rpcbind >/dev/null; then
      32. echo "already running."
      33. exit 0
      34. fi
      35. start-stop-daemon --start --quiet --exec /usr/sbin/rpcbind -- "$@"
      36. if [ $? -eq 0 ]; then
      37. echo "done."
      38. else
      39. echo "failed."
      40. fi
      41. }
      42. stop ()
      43. {
      44. echo "Stopping rpcbind daemon..."
      45. if ! pidof /usr/sbin/rpcbind >/dev/null; then
      46. echo "not running."
      47. return 0
      48. fi
      49. start-stop-daemon --stop --quiet --exec /usr/sbin/rpcbind
      50. if [ $? -eq 0 ]; then
      51. echo "done."
      52. else
      53. echo "failed."
      54. fi
      55. }
      56. case "$1" in
      57. start)
      58. start $OPTIONS
      59. ;;
      60. stop)
      61. stop
      62. ;;
      63. force-reload)
      64. stop
      65. start $OPTIONS
      66. ;;
      67. restart)
      68. stop
      69. start $OPTIONS
      70. ;;
      71. status)
      72. status /usr/sbin/rpcbind
      73. ;;
      74. *)
      75. echo "Usage: /etc/init.d/rpcbind {start|stop|force-reload|restart|status}"
      76. exit 1
      77. ;;
      78. esac
      79. exit $?
      Alles anzeigen
      Diskutiere nie mit einem Idioten. Er zieht dich auf sein Niveau runter und schlägt dich mit seiner Erfahrung.
    • Ich hoffe das passt ;) .

      Shell-Script: inadyn-mt_start.sh

      1. #!/bin/sh
      2. #
      3. # start/stop inadyn-mt daemon.
      4. ### BEGIN INIT INFO
      5. # Provides: inadyn-mt
      6. # Required-Start: $network
      7. # Required-Stop: $network
      8. # Default-Start: S 2 3 4 5
      9. # Default-Stop: 0 1 6
      10. ### END INIT INFO
      11. # Source function library.
      12. . /etc/init.d/inadyn-mt_start.sh
      13. test -f /usr/bin/inadyn-mt || exit 0
      14. OPTIONS=""
      15. if [ -f /etc/default/inadyn-mt ]
      16. then
      17. . /etc/default/inadyn-mt
      18. elif [ -f /etc/inadyn-mt.conf ]
      19. then
      20. . /etc/inadyn-mt.conf
      21. fi
      22. start ()
      23. {
      24. echo -n "Starting inadyn-mt daemon..."
      25. if pidof /usr/bin/inadyn-mt >/dev/null; then
      26. echo "already running."
      27. exit 0
      28. fi
      29. start-stop-daemon --start --quiet --exec /usr/bin/inadyn-mt -- "$@"
      30. if [ $? -eq 0 ]; then
      31. echo "done."
      32. else
      33. echo "failed."
      34. fi
      35. }
      36. stop ()
      37. {
      38. echo "Stopping inadyn-mt daemon..."
      39. if ! pidof /usr/bin/inadyn-mt >/dev/null; then
      40. echo "not running."
      41. return 0
      42. fi
      43. start-stop-daemon --stop --quiet --exec /usr/bin/inadyn-mt
      44. if [ $? -eq 0 ]; then
      45. echo "done."
      46. else
      47. echo "failed."
      48. fi
      49. }
      50. case "$1" in
      51. start)
      52. start $OPTIONS
      53. ;;
      54. stop)
      55. stop
      56. ;;
      57. force-reload)
      58. stop
      59. start $OPTIONS
      60. ;;
      61. restart)
      62. stop
      63. start $OPTIONS
      64. ;;
      65. status)
      66. status /usr/bin/inadyn-mt
      67. ;;
      68. *)
      69. echo "Usage: /etc/init.d/inadyn-mt {start|stop|force-reload|restart|status}"
      70. exit 1
      71. ;;
      72. esac
      73. exit $?
      Alles anzeigen
    • Deine Zeile 14 macht so keinen Sinn, die solltest du unverändert aus Zeile 20 von rpcbind übernehmen.

      Die weiteren Argumente für das Programm würde ich dann in /etc/inadyn-mt.conf eintragen, dort sollte die Variable OPTIONS damit gesetzt werden. Sowas wie OPTIONS="--background --dyndns_server_name members.feste-ip.net --username [username] --update_period_sec 124 --cache_dir /var/log --log_file /var/log/inadyn.log --ip_server_name v6.checkip.feste-ip.net --password [passwort] --alias [dein-hostname] ip6", was @wsxws geschrieben hat.
      Diskutiere nie mit einem Idioten. Er zieht dich auf sein Niveau runter und schlägt dich mit seiner Erfahrung.
    • ok, super :)

      sollte dann also so passen

      Shell-Script: inadyn-mt_start.sh

      1. #!/bin/sh
      2. #
      3. # start/stop inadyn-mt daemon.
      4. ### BEGIN INIT INFO
      5. # Provides: inadyn-mt
      6. # Required-Start: $network
      7. # Required-Stop: $network
      8. # Default-Start: S 2 3 4 5
      9. # Default-Stop: 0 1 6
      10. ### END INIT INFO
      11. # Source function library.
      12. . /etc/init.d/functions
      13. test -f /usr/bin/inadyn-mt || exit 0
      14. OPTIONS=""
      15. if [ -f /etc/default/inadyn-mt ]
      16. then
      17. . /etc/default/inadyn-mt
      18. elif [ -f /etc/inadyn-mt.conf ]
      19. then
      20. . /etc/inadyn-mt.conf
      21. fi
      22. start ()
      23. {
      24. echo -n "Starting inadyn-mt daemon..."
      25. if pidof /usr/bin/inadyn-mt >/dev/null; then
      26. echo "already running."
      27. exit 0
      28. fi
      29. start-stop-daemon --start --quiet --exec /usr/bin/inadyn-mt -- "$@"
      30. if [ $? -eq 0 ]; then
      31. echo "done."
      32. else
      33. echo "failed."
      34. fi
      35. }
      36. stop ()
      37. {
      38. echo "Stopping inadyn-mt daemon..."
      39. if ! pidof /usr/bin/inadyn-mt >/dev/null; then
      40. echo "not running."
      41. return 0
      42. fi
      43. start-stop-daemon --stop --quiet --exec /usr/bin/inadyn-mt
      44. if [ $? -eq 0 ]; then
      45. echo "done."
      46. else
      47. echo "failed."
      48. fi
      49. }
      50. case "$1" in
      51. start)
      52. start $OPTIONS
      53. ;;
      54. stop)
      55. stop
      56. ;;
      57. force-reload)
      58. stop
      59. start $OPTIONS
      60. ;;
      61. restart)
      62. stop
      63. start $OPTIONS
      64. ;;
      65. status)
      66. status /usr/bin/inadyn-mt
      67. ;;
      68. *)
      69. echo "Usage: /etc/init.d/inadyn-mt {start|stop|force-reload|restart|status}"
      70. exit 1
      71. ;;
      72. esac
      73. exit $?
      Alles anzeigen

      Die inadyn-mt.conf unter /etc sieht so aus:

      Quellcode

      1. ## inadyn configuration file
      2. # Check for a new IP every 600 seconds
      3. #--update_period_sec 600
      4. # How often the IP should be updated even if it is not changed
      5. --forced_update_period 120
      6. --dyndns_system default@two-dns.de
      7. # DynDNS username and password here
      8. --username meinusername
      9. --password meinpassword
      10. ## Dynamic DNS hosts
      11. #A host name alias.
      12. --alias meinedyndns
      13. --log_file /tmp/inadyn.log
      Alles anzeigen

      ok, die inadyn-mt.conf muss dann so aussehen ;)

      Quellcode: inadyn-mt.conf

      1. OPTIONS="--background --dyndns_server_name members.feste-ip.net --username meinusername --update_period_sec 124 --cache_dir /var/log --log_file /var/log/inadyn.log --ip_server_name v6.checkip.feste-ip.net --password meinpassword --alias meinedyndns ip6"

      Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von hgdo () aus folgendem Grund: 2 Beiträge zusammengefasst

    • Wenn du deine OPTIONS so einsetzen möchtest musst du beim passwort noch ein wenig was verändern, sonst kommt da je nach passwort kein so tolles ergebnis raus.

      Shell-Script: Syntax für die Pawwortoption angepasst

      1. OPTIONS="--background --dyndns_server_name members.feste-ip.net --username meinusername --update_period_sec 124 --cache_dir /var/log --log_file /var/log/inadyn.log --ip_server_name v6.checkip.feste-ip.net --password \""meinpassword"\" --alias meinedyndns ip6"
      Gruß wsxws

      Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von wsxws ()

    • wsxws schrieb:

      that is also not an inadyn mt, that is the simple inadyn
      Enclosed is an inadyn-mt for 4k boxes

      is also not a plugin, but only the binary and the lang.file

      I moved out of here .

      if you want to adapt that for you or want to staple on something other than a solo 4k you had to unpack and adapt the stuff.
      Sorry for english
      Can you please help me how to isntall and setup inadyn -mt plugin for VU + Uno4KSE (VTI image 15) to update my hostname in no-ip? Many Many thanks for each help!

      Dieser Beitrag wurde bereits 2 mal editiert, zuletzt von ager ()